Observability
All operations require authentication.
Get the cluster healthProduction
Returns whether the cluster is working normally and how full it is.
Path parameters
Service name
Response
All available space in bytes
True or False
ID of cluster
Status of ceph cluster
Total cluster space in bytes
Used cluster space in bytes
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ ceph/ {serviceName}/ health \
-H "authorization: Bearer $OVH_TOKEN"{ "availableBytes": 0, "healthy": true, "serviceName": "string", "status": "string", "totalBytes": 0, "usedBytes": 0}
Get subscriptionProduction
Returns contacts, creation and expiration dates, and renewal settings.
Path parameters
Service name
Response
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016manualoneShotoptionservice.StateEnum
autorenewInProgressexpiredinCreationokpendingDebtunPaidExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ ceph/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}
Update renewal settingsProduction
Changes how the service renews; renew is the only editable field.
Path parameters
Service name
Request body (required)
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016manualoneShotoptionservice.StateEnum
autorenewInProgressexpiredinCreationokpendingDebtunPaidResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ ceph/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"